$fn = 80;
difference() {
    union() {
    roundedBox();
    }
    counterBore();
}

module roundedBox(
    width = 32, 
    length = 54, 
    height = 14, 
    radius = 3, 
    th = 1.5) {
    difference() {
    roundedBoxBlank(width, length, height, radius);
    translate([0, 0, th])
    roundedBoxBlank(width-th*2, 
    length-th*2,height,radius-th);
    }
    
module roundedBoxBlank(width = 32, 
    length = 54, height = 14,
    radius = 3) {
    hull() {
   translate([
    radius-width/2, radius-length/2, radius]) {
    sphere(r = radius);
    cylinder(r =radius,h = height-radius);}
   translate([
    width/2 - radius, radius-length/2, radius]) {
    sphere(r = radius);
    cylinder(r =radius,h = height-radius);}
   translate([
    radius-width/2, length/2 - radius, radius]) {
    sphere(r = radius);
    cylinder(r =radius,h = height-radius);}
   translate([
    width/2 - radius, length/2 - radius, radius]) {
    sphere(r = radius);
    cylinder(r =radius,h = height-radius);}
   }
  }
   //Drawing
    rotate(a=[0,180,270]) { 
    translate ([-8,6,-0.5]) {linear_extrude
    (height = 1) { 
    text("O S", font = "Arial Rounded MT Bold:style=Regular",size = 6);}
    }
   }
    rotate(a=[0,180,270]) { 
    translate ([-16,1.5,-0.5]) {linear_extrude
    (height = 1) { 
    text("TRANSISTOR  RECEIVER", font = "Arial Rounded MT Bold:style=Regular",size = 2);}
    }
   } 
    rotate(a=[0,180,270]) { 
    translate ([-12,-6,-0.5]) {linear_extrude
    (height = 1) { 
    text("PIXIE - A1", font = "Arial Rounded MT Bold:style=Regular",size = 4);}
    }
   }
    rotate(a=[0,180,270]) { 
    translate ([-11,-10,-0.5]) { linear_extrude(height = 1) { 
    text("MADE IN JAPAN", font = "Arial Rounded MT Bold:style=Regular", size = 2);}
    }
   }
}
module counterBore() {
    translate([9, 20])
    cylinder(d=5, h=2);}